Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# AVStreams::StreamEndPoint Interface Reference

`#include <AVStreams.idl>`

Inheritance diagram for AVStreams::StreamEndPoint

[legend]
Collaboration diagram for AVStreams::StreamEndPoint:

[legend]
List of all members.

## Public Methods
void | stop (in flowSpec the_spec) raises (noSuchFlow)
| Stop the stream. Empty the_spec means, for all the flows.
void | start (in flowSpec the_spec) raises (noSuchFlow)
| Start the stream, Empty the_spec means, for all the flows.
void | destroy (in flowSpec the_spec) raises (noSuchFlow)
| Destroy the stream, Empty the_spec means, for all the flows.
boolean | connect (in StreamEndPoint responder, inout streamQoS qos_spec, in flowSpec the_spec) raises (noSuchFlow, QoSRequestFailed, streamOpFailed)
| Called by StreamCtrl. responder is the peer to connect with.
boolean | request_connection (in StreamEndPoint initiator, in boolean is_mcast, inout streamQoS qos, inout flowSpec the_spec) raises (streamOpDenied, noSuchFlow, QoSRequestFailed, FPError)
| Called by the peer StreamEndPoint. The flow_spec indicates the flows (which contain transport addresses etc.).
boolean | modify_QoS (inout streamQoS new_qos, in flowSpec the_flows) raises (noSuchFlow, QoSRequestFailed)
| Change the transport qos on a stream.
boolean | set_protocol_restriction (in protocolSpec the_pspec)
| Used to restrict the set of protocols.
void | disconnect (in flowSpec the_spec) raises (noSuchFlow, streamOpFailed)
| Disconnect the flows.
void | set_FPStatus (in flowSpec the_spec, in string fp_name, in any fp_settings) raises (noSuchFlow, FPError)
| Used to control the SFP parameters.
Object | get_fep (in string flow_name) raises (notSupported, noSuchFlow)
| Not implemented in the light profile, throws notsupported.
string | add_fep (in Object the_fep) raises (notSupported, streamOpFailed)
| Can fail for reasons {duplicateFepName, duplicateRef}.
void | remove_fep (in string fep_name) raises (notSupported, streamOpFailed)
| Not implemented in the light profile, throws notsupported.
void | set_negotiator (in Negotiator new_negotiator)
| Used to "attach" a negotiator to the endpoint.
void | set_key (in string flow_name, in key the_key)
| Used for public key encryption.
void | set_source_id (in long source_id)
| Used to set a unique id for packets sent by this streamendpoint.

## Member Function Documentation

string AVStreams::StreamEndPoint::add_fep ( | in Object the_fep ) raises (notSupported, streamOpFailed)

| Can fail for reasons {duplicateFepName, duplicateRef}.

boolean AVStreams::StreamEndPoint::connect ( | in StreamEndPoint responder,
| inout streamQoS qos_spec,
| in flowSpec the_spec ) raises (noSuchFlow, QoSRequestFailed, streamOpFailed)

| Called by StreamCtrl. responder is the peer to connect with.

void AVStreams::StreamEndPoint::destroy ( | in flowSpec the_spec ) raises (noSuchFlow)

| Destroy the stream, Empty the_spec means, for all the flows.

void AVStreams::StreamEndPoint::disconnect ( | in flowSpec the_spec ) raises (noSuchFlow, streamOpFailed)

| Disconnect the flows.

Object AVStreams::StreamEndPoint::get_fep ( | in string flow_name ) raises (notSupported, noSuchFlow)

| Not implemented in the light profile, throws notsupported.

boolean AVStreams::StreamEndPoint::modify_QoS ( | inout streamQoS new_qos,
| in flowSpec the_flows ) raises (noSuchFlow, QoSRequestFailed)

| Change the transport qos on a stream.

void AVStreams::StreamEndPoint::remove_fep ( | in string fep_name ) raises (notSupported, streamOpFailed)

| Not implemented in the light profile, throws notsupported.

boolean AVStreams::StreamEndPoint::request_connection ( | in StreamEndPoint initiator,
| in boolean is_mcast,
| inout streamQoS qos,
| inout flowSpec the_spec ) raises (streamOpDenied, noSuchFlow, QoSRequestFailed, FPError)

| Called by the peer StreamEndPoint. The flow_spec indicates the flows (which contain transport addresses etc.).

void AVStreams::StreamEndPoint::set_FPStatus ( | in flowSpec the_spec,
| in string fp_name,
| in any fp_settings ) raises (noSuchFlow, FPError)

| Used to control the SFP parameters.

void AVStreams::StreamEndPoint::set_key ( | in string flow_name,
| in key the_key )

| Used for public key encryption.

void AVStreams::StreamEndPoint::set_negotiator ( | in Negotiator new_negotiator )

| Used to "attach" a negotiator to the endpoint.

boolean AVStreams::StreamEndPoint::set_protocol_restriction ( | in protocolSpec the_pspec )

| Used to restrict the set of protocols.

void AVStreams::StreamEndPoint::set_source_id ( | in long source_id )

| Used to set a unique id for packets sent by this streamendpoint.

void AVStreams::StreamEndPoint::start ( | in flowSpec the_spec ) raises (noSuchFlow)

| Start the stream, Empty the_spec means, for all the flows.

void AVStreams::StreamEndPoint::stop ( | in flowSpec the_spec ) raises (noSuchFlow)

| Stop the stream. Empty the_spec means, for all the flows.

The documentation for this interface was generated from the following file:

- AVStreams.idl